import request from '@/utils/request'

// 查询企业基本信息（天眼查）列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrCompanyInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业基本信息（天眼查）详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrCompanyInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业基本信息（天眼查）
export function addInfo(data) {
  return request({
    url: '/basicData/xcrCompanyInfo',
    method: 'post',
    data: data
  })
}

// 修改企业基本信息（天眼查）
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrCompanyInfo',
    method: 'put',
    data: data
  })
}

// 删除企业基本信息（天眼查）
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrCompanyInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrCompanyInfo/delete',ids)
}
